package com.sunday.eventbus;

import de.greenrobot.event.EventBus;

public class SDEventManager
{

	public static final int TAG_INT_EMPTY = -999;

	public static void register(Object subscriber)
	{
		EventBus.getDefault().register(subscriber);
	}

	public static void unregister(Object subscriber)
	{
		EventBus.getDefault().unregister(subscriber);
	}

	// ----------------------post
	public static void post(SDBaseEvent event)
	{
		EventBus.getDefault().post(event);
	}

	public static void post(int tagInt)
	{
		post(new SDBaseEvent(null, tagInt));
	}

	public static void post(String tagString)
	{
		post(new SDBaseEvent(null, tagString));
	}

	public static void post(Object data, int tagInt)
	{
		post(new SDBaseEvent(data, tagInt));
	}

	public static void post(Object data, String tagString)
	{
		post(new SDBaseEvent(data, tagString));
	}

	public static void post(Object data, int tagInt, String tagString)
	{
		post(new SDBaseEvent(data, tagInt, tagString));
	}

}
